Subject: Re: git-svnimport on OSX?

From: Rutger Nijlunsing <[email-masked]>
Date: Tue, 11 Apr 2006 01:00:16 +0200

On Tue, Apr 04, 2006 at 02:11:02PM +1200, Martin Langhoff wrote:
> On 03 Apr 2006 18:04:07 -0700, Randal L. Schwartz <[email-masked]> wrote:
> >
> > Working for anyone?  Not working for me, and just wondered if it was me or a
> > known thing.  Maybe I'm just holding my mouth wrong, and yes, I have SVN::Core
> > installed.  If anyone wants details, I can provide.
> 
> I think I tried and gave up on it a month or two ago, but can't
> remember the details. Fink's SVN::Core is too old, and having all the
> SVN toolchain is a pain. What is the problem?
> 
> BTW, getting git-svnimport to work normally takes me quite a few tries
> with different options, so OSX may be perfectly innocent this time...

Could you try http://www.wingding.demon.nl/git-svnconvert.rb on
MacOSX? This one doesn't need SVN::Core, and I'm curious on what to
change for MacOSX.

By default it imports all branches it can find (see in file itself):

...
$branch_dirs = %q{
  /branches/*
  /trunk
}
...

If your layout is different (for example, like
http://svn.perl.org/perl6 where every subdir is a collection of
branches itself), use something like:

...
$branch_dirs = %q{
  */branches/*
  */trunk
}
...

-- 
Rutger Nijlunsing ---------------------------------- eludias ed dse.nl
never attribute to a conspiracy which can be explained by incompetence
----------------------------------------------------------------------